var charts_config = {
  "files": {
    "balanced": {
      "all_variables": "ClassificationResults/RandomForest/balanced/all_variables/model.json",
      "optimized_variables": "ClassificationResults/RandomForest/balanced/optimized_variables/model.json"
    },
    "unbalanced": {
      "all_variables": "ClassificationResults/RandomForest/unbalanced/all_variables/model.json",
      "optimized_variables": "ClassificationResults/RandomForest/unbalanced/optimized_variables/model.json"
    }
  },
  "document_state": {
    "balanced": true,
    "optimized": true,
    "current_plot": "none",
    "outlier_plot": "none"
  },
  "chart_container": "oasis_output_analysis_container"
  ,
  "chart_ids": {
    "all_charts": "oasis_classification_output_charts",
    "principal_component_analysis_chart": "principal_component_analysis_chart",
    "outlier_plot": "outliers_chart",
    "receiver_operating_characteristic_chart": "receiver_operating_characteristic_chart",
    "precision_recall_chart": "precision_recall_chart",
    "precision_recall_cross_validation_error_chart": "precision_recall_cross_validation_error_chart",
    "variable_importance_chart": "variable_importance_chart",
    "feature_selection": "feature_selection",
    "out_of_bag_error": "out_of_bag_error"
  },
  "table_id": "oasis_classification_statistics_table",
  "svg": {
    "width": "80%",
    "height": "60%",
    "_comment": "should be in percentage"
  },
  "plot_attributes": {
    "title": {
      "family": "Helvetica",
      "size": 20
    },
    "tooltip": {
      "curve": 5,
      "point": 10,
      "fill": "rgb(51, 51, 51)",
      "stoke": "rgb(51, 51, 51)",
      "opacity": 0.8,
      "text": "cyan",
      "emphasis": "white",
      "family": "Times",
      "size": 12,
      "default_seperation_from_object": 10
    },
    "axes": {
      "family": "Courier New",
      "size": 10,
      "ticks": {
        "size": 5
      },
      "maxCharacters": {
        "x": 10
      },
      "labels": {
        "family": "Courier New",
        "size": 14
      }
    },
    "buttons": {
      "family": "Courier New",
      "size": 12,
      "stroke": "black",
      "fill": {
        "not_selected": "white",
        "selected": "black"
      }
    }
  },
  "plots": {
    "scatter": {
      "point": {
        "radius": 5
      },
      "opacity": {
        "hover": 0.5,
        "nonhover": 0.8
      }
    },
    "line": {
      "width": 5,
      "stroke": "#2196F3",
      "fill": "none",
      "hidden_radius": 10,
      "opacity": {
        "hover": 0.5,
        "nonhover": 0.8
      }
    },
    "box_and_whiskers": {
      "spacing": 10,
      "width": 1,
      "stroke": "black",
      "whiskers": {
        "width": 2
      },
      "opacity": {
        "hover": 0.5,
        "nonhover":1
      }
    },
    "quantile_spline": {
      "outer_fill_color": "#0091F2",
      "outer_line_color": "#0091F2",
      "inner_fill_color":"#6B2CB6",
      "inner_line_color": "#6B2CB6",
      "median_fill_color": "none",
      "median_line_color": "black",
      "median_stroke_width": 5,
      "stroke_width": 3,
      "opacity": "0.5",
      "median_opacity": "1",
      "mouseover_radius": 5
    }
  },
  "colors": {
    "palette": [
        "#F44336", "#E91E63", "#9C27B0", "#673AB7", "#3F51B5", "#2196F3",
        "#03A9F4", "#00BCD4", "#009688", "#4CAF50", "#8BC34A", "#CDDC39",
        "#FFEB3B", "#FFC107", "#FF9800", "#FF5722", "#795548", "#9E9E9E",
        "#607D8B"
    ]
  }
}
