populate_table()

function populate_table() {
  var table = d3.select("#" + charts_config.table_id)
  var stats = extractModel(models).statistics
  var stats_key = keys(stats)

  var mod_stats = {"MEASURE": "VALUE"}
  for (var i = 0; i < stats_key.length; i++) {
    mod_stats[stats_key[i]] = stats[stats_key[i]]
  }

  var previous_rows = d3.selectAll("tr").size()
  var current_rows = keys(mod_stats).length

  // Add or remove table rows as need be
  if (previous_rows < current_rows) {
    var rows = table.selectAll("tr")
                    .data(keys(mod_stats))
                    .enter()
                    .append("tr")
    rows.each(function(d, i) {
      var table_row = d3.select(this)
      var table_key = table_row.append("td").attr("class", "table_key")
      var table_val = table_row.append("td").attr("class", "table_val")
    })
  } else if (previous_rows > current_rows) {
    table.selectAll("tr").data(keys(mod_stats))
         .exit().remove()
  }

  // Populate values
  rows = table.selectAll("tr").each(function(d, i) {
    var table_row = d3.select(this)
    var table_key = table_row.select("td.table_key")
    var table_val = table_row.select("td.table_val")
    table_key.node().innerHTML = d
    table_val.node().innerHTML = mod_stats[d]
  })

}
